/* ----------------------------------------------------------------- */
/*                                                                   */
/* Test case hardware requirements for REXX_701.CMD                  */
/*                                                                   */
/* 1 Audio card                                                      */
/* ----------------------------------------------------------------- */
'@echo off'
/*********************************************************************/
/*  FILE NAME:              REXX_701.CMD (RSP.CMD)                   */
/*                                                                   */
/*  SOURCE:                                                          */
/*     CMVC Component:      SVTSCRIP                                 */
/*     Server Name:         \\Flipper\Pluto                          */
/*     Directory Path:      build\src\svt\CMD                        */
/*                                                                   */
/*  AUTHOR:                 Kathleen Colina                          */
/*                                                                   */
/*  DATE:                   May 5, 1995                              */
/*                                                                   */
/*  TOOL:                   To execute this test case, type the      */
/*                          name of the command file.  No special    */
/*                          tools are needed.                        */
/*                                                                   */
/*  BRIEF TEST DESCRIPTION:                                          */
/*                                                                   */
/*  This test case is the kicker which invokes the RSP.CMD test case */
/*                                                                   */
/* ***************************************************************** */
/* ------------------------------------------------------------------------- */
os2drv = value('PCM_BOOTDRV',,'OS2ENVIRONMENT');       /* get OS2 boot drive */
tstdrv = value('PCM_TESTDRV',,'OS2ENVIRONMENT');       /* get testcase drive */
if pos(os2drv,'CDEFGHIJKLMNOPQRSTUVWXYZ') = 0 then do
   say '[1;09;41m ***************************************************************[0;40;37m'
   say '[1;09;41m * OS2 environment variable PCM_BOOTDRV not set.  Run PCMSETUP *[0;40;37m'
   say '[1;09;41m * to update config.sys, then shutdown & reboot to continue.   *[0;40;37m'
   say '[1;09;41m ***************************************************************[0;40;37m'
   exit
   end
if pos(tstdrv,'CDEFGHIJKLMNOPQRSTUVWXYZ') = 0 then do
   say '[1;09;41m ***************************************************************[0;40;37m'
   say '[1;09;41m * OS2 environment variable PCM_TESTDRV not set.  Run PCMSETUP *[0;40;37m'
   say '[1;09;41m * to update config.sys, then shutdown & reboot to continue.   *[0;40;37m'
   say '[1;09;41m ***************************************************************[0;40;37m'
   exit
   end

/* ------------------------------------------------------------------------- */
tstdrv':'
'cd \build\src\svt\buckcmd'
'erase \results\mmepcm\svtraw\rexxrsp.out'

call rxqueue 'Create', 'pmrexxque'
call rxqueue 'Set', 'pmrexxque'
do while queued() > 0
   pull .
end


'PMREXX rexx_rsp.cmd \results\mmepcm\svtraw\rexxrsp.out'
