@echo off
Rem *
Rem * NAME        : $SRT.CMD
Rem * DESCRIPTION : This command file will perform looping Sort commands
Rem *
Rem *
Rem * CHANGES     : A. Patel 11/07/91 Original
Rem *             : SWHUDSON 09/01/94 - use parameter for drive letter
Rem * ************************************************************************
    echo.
    echo CRUISER Sort Exerciser
    echo.

    :loop

        Rem * Make directory

        if not exist \parttest mkdir \parttest

        mkdir \parttest\sort

        Rem * Perform SORT on file on C: drive

        echo Running SORT Exerciser...

        Rem * Step 1 Sort root directory listing, send output to dirlst

        dir %1:\ | sort > \parttest\sort\dirlist.srt
        echo.
        echo Step 1 complete

        Rem * Step 2 Sort root directory listing in reverse order, send
        Rem * output to dirlst2

        dir %1:\ | sort/R > \parttest\sort\dirlist2.srt
        echo.
        echo Step 2 complete

        Rem * Step 3 Sort root directory listing by file size, send output to
        Rem *  dirlst3

        dir %1:\ | sort /+14 > \parttest\sort\dirlist3.srt
        echo.
        echo Step 3 complete

        Rem * Step 4 Sort file Readme.txt, send output to file sorted1

        sort < \data\sort\Readme.Txt > \parttest\sort\Sorted1.srt
        echo.
        echo Step 4 complete

        Rem * Step 5 Sort file Readme.txt in reverse order, send output to
        Rem * file sorted2

        sort/r < \data\sort\Readme.Txt > \parttest\sort\sorted2.srt
        echo.
        echo Step 5 complete

        Rem * Step 6 Sort file Readme.txt according to character in 5th
        Rem * column, send output to  file sorted3

        sort/+5 < \data\sort\Readme.txt > \parttest\sort\Sorted3.srt
        echo.
        echo Step 6 complete


        Rem * Step 7 Sort file Readme.txt according to character in 5th
        Rem * column in reverse order, send output to file sorted4

        sort/+5/r < \data\sort\Readme.Txt > \parttest\sort\Sorted4.srt
        echo.
        echo Step 7 complete
        echo.

        echo Removing files...
        del \parttest\sort\*.srt
        cd \
        rd \parttest\sort

        echo All done...

        goto loop

echo on
