/* *********************************************************************** */
/* LOG.CMD - REXX program to copy a SVT bucket's .IND and LOGFILE to       */
/*               \results.                                                 */
/*                                                                         */
/* 1993.Nov 28    swhudson       modified for PCM for standalone w/o LAN   */
/* *********************************************************************** */
@echo off
if not exist \results goto needq
goto continue

:needq
echo \RESULTS directories not setup - correct and try again.
goto alldone

:continue
if %1. == . goto useenv
cd \results\mme%1\svtlog
goto alldone

:useenv
if %mme-buildver%. == . goto needver
cd \results\mme%mme-buildver%\svtlog
goto alldone

:needver
echo MMPM/2 driver not specified.  Please set the MME-BUILDVER environment
echo variable or pass the driver (e.g. J055) as a parameter to this command.





:alldone
