/* ************************************************************************ */
/*  PCM_HPFS.CMD  -  Copies one of the .mid type files to an HPFS type      */
/*                   file name for execution of the multimedia HPFS test.   */
/*                                                                          */
/*                   Invokes the runmme command after the copy.             */
/* ************************************************************************ */
'@echo on'
'cls'
/* ****************************SCAN ARGUMENT LIST*************************** */
arg parm comments
if left(parm,1) = '?' then signal INFO_PLEASE

/* ------------------------------------------------------------------------- */
os2drv = value('PCM_BOOTDRV',,'OS2ENVIRONMENT');       /* get OS2 boot drive */
tstdrv = value('PCM_TESTDRV',,'OS2ENVIRONMENT');       /* get testcase drive */
if pos(os2drv,'CDEFGHIJKLMNOPQRSTUVWXYZ') = 0 then do
   say '[1;09;41m ***************************************************************[0;40;37m'
   say '[1;09;41m * OS2 environment variable PCM_BOOTDRV not set.  Run PCMSETUP *[0;40;37m'
   say '[1;09;41m * to update config.sys, then shutdown & reboot to continue.   *[0;40;37m'
   say '[1;09;41m ***************************************************************[0;40;37m'
   exit
   end
if pos(tstdrv,'CDEFGHIJKLMNOPQRSTUVWXYZ') = 0 then do
   say '[1;09;41m ***************************************************************[0;40;37m'
   say '[1;09;41m * OS2 environment variable PCM_TESTDRV not set.  Run PCMSETUP *[0;40;37m'
   say '[1;09;41m * to update config.sys, then shutdown & reboot to continue.   *[0;40;37m'
   say '[1;09;41m ***************************************************************[0;40;37m'
   exit
   end
/* ------------------------------------------------------------------------- */
tstdrv':'
'cd \build\src\svt\buckcmd'
/* ------------------------------------------------------------------------- */
rc = RXFUNCADD('SysSleep', 'RexxUtil', 'SysSleep')
/* ------------------------------------------------------------------------- */
'copy 'tstdrv':\systest\data_aud\bach.mid  'tstdrv':\systest\data_aud\tinafullerbrucetantlinger.mid'
/* ------------------------------------------------------------------------- */
'erase 'tstdrv':\results\mmepcm\svtraw\pcm_hpfs.*'
'erase 'tstdrv':\results\mmepcm\svtlog\pcm_hpfs.*'
'erase 'tstdrv':\results\mmepcm\svtres\*.res'

'erase 'tstdrv':\dutpcm\mmepcm\* <'tstdrv':\util\yes.in'

/* ------------------------------------------------------------------------- */
call SysSleep 30;
/* ------------------------------------------------------------------------- */
'call \util\runmme PCM_HPFS'
/* ------------------------------------------------------------------------- */
exit
/*-------------------------------------------------------------------------- */
INFO_PLEASE:
say '[1;26;45m  ͻ  '
say '   PCM_HPFS.CMD - Run MMEDIA HPFS file system testcase.               '
say '                                                                      '
say '   Parameters: NONE                                                   '
say '                                                                      '
say '   Copies .mid to longfile name in \SYSTEST\DATA_AUD directory        '
say '                                                                      '
say '   Calls RUNMME HPFS to start testcase execution.                     '
say '                                                                      '
say '   Uses OS/2 environment variables to determine testcase drive.       '
say '  ͼ  [0;40;37m'
exit
