/* ------------------------------------------------------------------------- */
/* BUC.CMD - Switch to directory for Multimedia testcase execution.          */
/*                                                                           */
/*    Parameters: NONE                                                       */
/*                                                                           */
/*    Uses OS2 environment variables to determine testcase drive.            */
/* ------------------------------------------------------------------------- */
'@echo off'
arg parm.1 comments
'cls'
say ''
if left(parm.1,1) = '?' then signal INFO_PLEASE
/* ------------------------------------------------------------------------- */
os2drv = value('PCM_BOOTDRV',,'OS2ENVIRONMENT');       /* get OS2 boot drive */
tstdrv = value('PCM_TESTDRV',,'OS2ENVIRONMENT');       /* get testcase drive */
if pos(os2drv,'CDEFGHIJKLMNOPQRSTUVWXYZ') = 0 then do
   say '[1;09;41m ***************************************************************[0;40;37m'
   say '[1;09;41m * OS2 environment variable PCM_BOOTDRV not set.  Run PCMSETUP *[0;40;37m'
   say '[1;09;41m * to update config.sys, then shutdown & reboot to continue.   *[0;40;37m'
   say '[1;09;41m ***************************************************************[0;40;37m'
   exit
   end
if pos(tstdrv,'CDEFGHIJKLMNOPQRSTUVWXYZ') = 0 then do
   say '[1;09;41m ***************************************************************[0;40;37m'
   say '[1;09;41m * OS2 environment variable PCM_TESTDRV not set.  Run PCMSETUP *[0;40;37m'
   say '[1;09;41m * to update config.sys, then shutdown & reboot to continue.   *[0;40;37m'
   say '[1;09;41m ***************************************************************[0;40;37m'
   exit
   end

/* ------------------------------------------------------------------------- */
tstdrv':'
'cd \build\src\svt\buckcmd'
/*-------------------------------------------------------------------------- */
exit
INFO_PLEASE:
say ''
say '[1;26;45m  ͻ  '
say '   BUC.CMD - Goes to TESTCASE drive and changes to the directory      '
say '             \build\src\svt\buckcmd  where multimedia testcases       '
say '             are started.                                             '
say '                                                                      '
say '   Parameters: NONE                                                   '
say '                                                                      '
say '   Uses OS/2 environment variables to determine testcase drive.       '
say '  ͼ  [0;40;37m'
exit
