/*********************************************************************/
/*                                                                   */
/*  FILE NAME:              CDD.CMD                                  */
/*                                                                   */
/*  AUTHOR:                 PATRICK QU (AGS Information Service)     */
/*                                                                   */
/*  DATE:                   June 3, 1993                             */
/*                                                                   */
/*  PURPOSE:                Check CD drivers for correct CD media    */
/*                                                                   */
/*********************************************************************/
goto = ''
trace

arg filename .
if  filename = '' then
   do
      say " You must pass as a parm the name of the file you wish to check"
      exit
     end

parse var filename mainname '.' extension

Do i=length(mainname)-7 to length(mainname)-3
ch = substr(mainname,i,1)
if (ch = 'X' | ch ='C') then
      leave
   else if i = length(mainname)-3 then
        exit
end
/*do while (pos('\',mainname) > 0)
   p=pos('\',mainname)
   mainname=substr(mainname,p+1,length(mainname)-p)
end
if (pos('C',mainname)=0 & pos('X',mainname)=0) then
   exit
*/

 call stream filename, C, 'query exists'
  if result = '' then
   do
    say "******************************************************************"
    say "*                                                                *"
    say "*                  ATTENTION !!!                                 *"
    say "*  Can not find script file -- " filename "."                                "*"
    say "*  Check for proper path or possible missing of script file      *"
    say "*                                                                *"
    say "******************************************************************"
    exit
  end

call RxFuncAdd 'SysGetKey','RexxUtil','SysGetKey'
rc = RXFUNCADD('mciRxInit','MCIAPI','mciRxInit')
InitRC = mciRxInit()

flag1 =0
flag2 =0
do  until lines(filename) = 0
  nextline = linein(filename)
  parse value nextline with partone 'open ' parttwo
   if parttwo \= ''
    then do
     cd_var = subword(parttwo,1,1)
     cd_str = substr(cd_var,1,3)
      if cd_str = 'e:\'
        then cd_var = 'cdxa'
        else if cd_str ='f:\'
             then cd_var = 'cdxa02'
             else if cd_str ='\mt'
                  then do
                      parse var nextline word rest
                        do  while(word <> "type" & word <> "")
                          parse var rest word rest
                        end
                      if (word="type") then do
                         parse var rest device rest
                         cd_var = device
                      end
                  end

   select
     when (cd_var = 'cdxa' & flag1 \=1)  then do
                                           do forever
                                             call CDXA "e" "x1" "cdxa"
                                              if result=0 then leave
                                           end
                                          flag1 = 1
                                        end
     when (cd_var = 'cdxa01' & flag1 \=1) then do
                                            do forever
                                              call CDXA "e" "x1" "cdxa01"
                                               if result=0 then leave
                                            end
                                           flag1 = 1
                                         end
     when (cd_var = 'cdxa02' & flag2 \=1) then do
                                            do forever
                                              call CDXA "f" "x2" "cdxa02"
                                               if result=0 then leave
                                            end
                                           flag2 = 1
                                          end
     when (cd_var = 'cdaudio' & flag1 \=1) then do
                                             do forever
                                               call CDDA "e" "c1" "cdaudio"
                                                 if result=0 then leave
                                             end
                                            flag1 = 1
                                          end
     when (cd_var = 'cdaudio01' & flag1 \=1) then do
                                              do forever
                                               call CDDA "e" "c1" "cdaudio01"
                                                 if result=0 then leave
                                              end
                                            flag1 = 1
                                          end
     when (cd_var = 'cdaudio02' & flag2 \=1) then do
                                              do forever
                                                call CDDA "f" "c2" "cdaudio02"
                                                 if result=0 then leave
                                               end
                                             flag2 = 1
                                           end
     otherwise
    end
  end
     if (flag1 = 1 & flag2 = 1) then leave
end

/*********************************************************************/
/* Terminate the REXX command file and Exit (DLL), return code = 0.  */
/*********************************************************************/

                      /****************************************/
                      /* Terminate REXX command file          */
                      /****************************************/

MacRC = mciRxExit()
say "CD checking is done"
exit 0

/*********************************************************************/

CDXA:
arg xarg1 xarg2 xarg3
call SendString "open "xarg1":\mtsdemo\escape2b.xa alias "xarg2" type "xarg3" wait"
   if (MacRC <> 0) then do
       call Error "CDXA" ""xarg1"" "CDXA"
       Rt = 1
   end
   else do
      say " CD XA is in the "xarg1" drive"
      call SendString "close "xarg2" wait"
       Rt = 0
   end
  return  Rt

CDDA:
  arg darg1 darg2 darg3
   call SendString "info "darg3" id wait"
     if (MacRC <> 0) then do
        call Error "DISK" ""darg1"" "CDDA"
        Rt = 1
     end
     else do
        call SendString "open "darg3" alias "darg2" wait"
        call SendString "cue "darg2" output wait"
          if (MacRC <> 0) then do
            call Error "CDDA" ""darg1"" "CDDA"
            Rt = 1
          end
          else do
            say " CD audio is in the "darg1" drive"
            Rt = 0
          end
        call SendString "close "darg2" wait"
     end
    return Rt

SendString:
   arg CmndTxt
   Zero='0'
   MacRC = mciRxSendString(CmndTxt, 'RetSt', Zero, Zero)
   save=RetSt
   return MacRC

Error:
  arg  earg1 earg2 earg3
  say "            ****************************************************"
  say "            *       ATTENTION !!!                              *"
  say "            *  There is no "earg1" in "earg2" drive. Please             *"
  say "            *                                                  *"
  say "            *  check it and put in a "earg3" disk, press a key    *"
  say "            *                                                  *"
  say "            *  to continue. If you want to skip this CD        *"
  say "            *                                                  *"
  say "            *  checking program, just type a Q to exit it.     *"
  say "            *                                                  *"
  say "            ****************************************************"
  key = SysGetKey(NOECHO)
    if (key = 'q' | key = 'Q') then exit
 return
