/* ------------------------------------------------------------------------- */
/* CONFIG.CMD - add env variables to OS2 session for multimedia testcases.   */
/*                                                                           */
/*    Parameters: NONE   - Called by RUNMME.CMD -                            */
/*                                                                           */
/*    Uses OS2 environment variables to determine testcase drive.            */
/* ------------------------------------------------------------------------- */
'@echo off'
arg parm.1 comments
'cls'
say ''
if left(parm.1,1) = '?' then signal INFO_PLEASE
/* ------------------------------------------------------------------------- */
os2drv = value('PCM_BOOTDRV',,'OS2ENVIRONMENT');       /* get OS2 boot drive */
tstdrv = value('PCM_TESTDRV',,'OS2ENVIRONMENT');       /* get testcase drive */
if pos(os2drv,'CDEFGHIJKLMNOPQRSTUVWXYZ') = 0 then do
   say '[1;09;41m ***************************************************************[0;40;37m'
   say '[1;09;41m * OS2 environment variable PCM_BOOTDRV not set.  Run PCMSETUP *[0;40;37m'
   say '[1;09;41m * to update config.sys, then shutdown & reboot to continue.   *[0;40;37m'
   say '[1;09;41m ***************************************************************[0;40;37m'
   exit
   end
if pos(tstdrv,'CDEFGHIJKLMNOPQRSTUVWXYZ') = 0 then do
   say '[1;09;41m ***************************************************************[0;40;37m'
   say '[1;09;41m * OS2 environment variable PCM_TESTDRV not set.  Run PCMSETUP *[0;40;37m'
   say '[1;09;41m * to update config.sys, then shutdown & reboot to continue.   *[0;40;37m'
   say '[1;09;41m ***************************************************************[0;40;37m'
   exit
   end

/* ------------------------------------------------------------------------- */
'SET MME-DUTID=DUTPCM'
'SET MME-BUILDVER=PCM'
'SET MME-LOGLEVEL=IND'

'SET  MME-LOGDRIVE='tstdrv
'SET MME-TESTDRIVE='tstdrv
'SET        MMDATA='tstdrv':\systest\data_aud'
'SET    MMDATA-AUD='tstdrv':\systest\data_aud'
'SET    MMDATA-VID='tstdrv':\systest\data_vid'
'SET     DVI-MOVIE='tstdrv':\ulti'
'SET   INDEO-MOVIE='tstdrv':\indeo\avi'
'SET      TESTDATA='tstdrv':\systest\temp'
'SET       SVTPATH='tstdrv':\build\src\svt\'
'SET       APSPATH='tstdrv':\APS\'
'SET SVTSCRIPTPATH='tstdrv':\BUILD\SRC\SVT\SCRIPTS'

'SET SPICDSEEKDEF=12664299'
/*-------------------------------------------------------------------------- */
exit
INFO_PLEASE:
say ''
say '[1;26;45m  ͻ  '
say '   CONFIG.CMD - Sets additional environment variables required for    '
say '                multimedia testcase execution.                        '
say '                                                                      '
say '   Parameters: NONE                                                   '
say '                                                                      '
say '   Uses OS/2 environment variables to determine testcase drive.       '
say '  ͼ  [0;40;37m'
exit
