
     PCM Compatability Testkit for OS/2 - Multimedia Testcases

System Requirements:
       1 - Sound Adapter
       1 - CDROM drive

       OS/2 version 2.1 or higher.

       Multimedia installed with following features:
           Software Motion Video
           Sound Support (i.e. Sound Blaster)
           CD Audio

       Testcase partition with at least 63MB of free disk space.

Installation:

       The PCM Compatability testcases for multimedia must be installed
       from the CDROM provided with the PCM Compatability Testkit.

       NOTE: Examples in this file use D: for the testcase partition
             and E: for the CDROM drive.

       1. 'd:'
       2. 'xcopy e:\mmtest\* d:\ /s/e/v'

       3. edit config.sys and modify following lines as follows:
               LIBPATH  -  add 'd:\systest\bin;d:\util;
               PATH     -  add 'd:\systest\bin;d:\util;

Execution:

       Following installation of multimedia testcases and update to config.sys
       the system must be rebooted, then an OS/2 fullscreen session started.

       1. 'd:'

       2. '\util\config.cmd'

       3. 'cd \build\src\svt\buckcmd'

       4. 'run pcm-svga'   (use pcm-vga for VGA systems)

       5. The run command will start the first test and you will hear a beep.
          At that point, use ctrl-esc to bring up the task list and switch
          to the desktop by clicking the mouse anywhere on the background.

       6. The first test will require you to hit the enter key several times
          during the test script.  At different points you will be asked to
          move the video display around with the mouse and place it over and
          behind other windows.  After the 1st test script, the multimedia
          testcases can continue to run unattended to completion which will
          take approximately 20 minutes.

       7. Switch back to the OS/2 fullscreen session.  When the testcases are
          done, there will be a pause message prior to processing the results.
          Hit enter to allow results processing to continue.

       8. 'cd \results\mmepcm'

       9. 'type svtraw\*.ra_'  (this will list file with pass/fail counts   )
                               (logfiles can be found under directory SVTLOG)
